package org.bench4q.share.models.master;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.enums.master.AgentStatus;

@XmlRootElement(name = "agent")
public class AgentModel {
	private int id;
	private String hostName;
	private int port;
	private int maxLoad;
	private int remainLoad;
	private AgentStatus currentEnumStatus;

	@XmlElement
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@XmlElement
	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}

	@XmlElement
	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	@XmlElement
	public int getMaxLoad() {
		return maxLoad;
	}

	public void setMaxLoad(int maxLoad) {
		this.maxLoad = maxLoad;
	}

	@XmlElement
	public int getRemainLoad() {
		return remainLoad;
	}

	public void setRemainLoad(int remainLoad) {
		this.remainLoad = remainLoad;
	}

	@XmlElement
	public AgentStatus getCurrentEnumStatus() {
		return currentEnumStatus;
	}

	public void setCurrentEnumStatus(AgentStatus currentEnumStatus) {
		this.currentEnumStatus = currentEnumStatus;
	}

}
